Bug 583387 - DOESN'T WORK! ImportError: This version of Deluge requires libtorrent >=0.14.5.0!
Summary: DOESN'T WORK! ImportError: This version of Deluge requires libtorrent >=0.14...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: deluge
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-18 09:48 UTC by leigh scott
Modified: 2011-03-25 19:23 UTC (History)
1 user (show)

Fixed In Version: deluge-1.3.1-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-25 19:23:18 UTC


Attachments (Terms of Use)

Description leigh scott 2010-04-18 09:48:58 UTC
Description of problem:

[leigh@localhost ~]$ deluged -d
[ERROR   ] 10:22:52 main:216 This version of Deluge requires libtorrent >=0.14.5.0!
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/deluge/main.py", line 209, in start_daemon
    Daemon(options, args)
  File "/usr/lib/python2.6/site-packages/deluge/core/daemon.py", line 136, in __init__
    from deluge.core.core import Core
  File "/usr/lib/python2.6/site-packages/deluge/core/core.py", line 36, in <module>
    from deluge._libtorrent import lt
  File "/usr/lib/python2.6/site-packages/deluge/_libtorrent.py", line 60, in <module>
    check_version(lt)
  File "/usr/lib/python2.6/site-packages/deluge/_libtorrent.py", line 53, in check_version
    raise ImportError("This version of Deluge requires libtorrent >=%s!" % REQUIRED_VERSION)
ImportError: This version of Deluge requires libtorrent >=0.14.5.0!



Version-Release number of selected component (if applicable):

deluge-1.2.0-1.fc13


How reproducible:

everytime


Steps to Reproduce:
1. try to start it
2.
3.
  
Actual results:

doesn't work


Expected results:

I expect it to work


You need to push this package to stable

http://koji.fedoraproject.org/koji/buildinfo?buildID=164166

Additional info:

Comment 1 Fedora Admin XMLRPC Client 2011-03-16 08:12:50 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Update System 2011-03-16 18:54:28 UTC
deluge-1.3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/deluge-1.3.1-2.fc14

Comment 3 Fedora Update System 2011-03-25 19:22:39 UTC
deluge-1.3.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.